real {base} | R Documentation

## Real Vectors

### Description

These functions are the same as their `double` equivalents and are provided for backwards compatibility only.

### Usage

    real(length = 0)
    as.real(x, ...)
    is.real(x)

### Arguments

`length` | A non-negative integer specifying the desired length. Double values will be coerced to integer: supplying an argument of length other than one is an error.
`x` | object to be coerced or tested.
`...` | further arguments passed to or from other methods.

### Details

`as.real` is a generic function, but S3 methods must be written for `as.double`.

[Package base version 2.15.2 Index]